Bug 243914

Summary: xrandr: should report errors
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: xorg-x11-server-utilsAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 7CC: rvokal, triage, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 21:33:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bill Nottingham 2007-06-12 14:00:58 EDT
Description of problem:

[notting@nostromo: ~]$ xrandr --output vga --mode 1024x768
[notting@nostromo: ~]$ echo $?
0

Hm, why isn't it working? What is it doing?

[notting@nostromo: ~]$ xrandr --output vga --mode 2145124214x142321
[notting@nostromo: ~]$ echo $?
0

[notting@nostromo: ~]$ xrandr --output VGA --mode 2145124214x142321
xrandr: cannot find mode 2145124214x142321

Oh, *that* was the problem.

Some errors on bogus commandline args might be nice.

Version-Release number of selected component (if applicable):

xorg-x11-server-utils-7.2-1.fc7
Comment 1 Adam Jackson 2007-06-27 10:57:53 EDT
7.2-2 might be slightly better?  I'll check though.
Comment 2 Bill Nottingham 2007-06-27 11:08:12 EDT
7.2-2? Where is that?
Comment 3 Bill Nottingham 2007-06-27 11:09:02 EDT
Never mind. I'm blind.
Comment 4 Bill Nottingham 2007-06-27 11:13:29 EDT
Still happily accepts bogus outputs:

[notting@nostromo: /tmp]$ xrandr --output foo --mode 1024x768
[notting@nostromo: /tmp]$ echo $?
0

Also, it doesn't deal with user stupidity, as something like:

$ xrandr --output VGA --mode 1280x1024 -r 60 --off

turns on the display. But yeah, 'don't do that.'
Comment 5 Bug Zapper 2008-05-14 09:02:17 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:33:45 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.